~ahasenack/ubuntu/+source/zeromq3:disco-validate-group-before-using-1820282

Last commit made on 2019-03-18
Get this branch:
git clone -b disco-validate-group-before-using-1820282 https://git.launchpad.net/~ahasenack/ubuntu/+source/zeromq3
Only Andreas Hasenack can upload to this branch. If you are Andreas Hasenack please log in for upload directions.

Branch merges

Branch information

Name:
disco-validate-group-before-using-1820282
Repository:
lp:~ahasenack/ubuntu/+source/zeromq3

Recent commits

0a0a197... by Andreas Hasenack on 2019-03-18

update-metadata

0fdbdae... by Andreas Hasenack on 2019-03-18

changelog

87ee4d1... by Andreas Hasenack on 2019-03-18

  * d/libzmq5.symbols: updated symbols

49c3dc7... by Andreas Hasenack on 2019-03-16

  * d/p/validate-group-before-using.patch: validate the supplementary
    group used in the filter_ipc test before using it. (LP: #1820282)

1a8ed30... by Laszlo Boszormenyi on 2019-01-26

Import Debian changes 4.3.1-3

zeromq3 (4.3.1-3) unstable; urgency=medium

  [ Luca Boccassi <email address hidden> ]
  * Patch to prefer CXX11 atomics for PPC64 and RISC-V architectures.
  * test_pair_ipc fails on GNU/Hurd due to wildcard bind, mark it as XFAIL.

zeromq3 (4.3.1-2) unstable; urgency=medium

  * Update libzmq3-dev dependency.

  [ Luca Boccassi <email address hidden> ]
  * Fix self tests failures.

zeromq3 (4.3.1-1) unstable; urgency=high

  * New upstream release.
  * Fix pointer overflow in zmq::v2_decoder_t::size_ready() leading to
    remote code execution (closes: #919098).
  * Update library symbols.
  * Update Standards-Version to 4.3.0 .

zeromq3 (4.2.5-2) unstable; urgency=medium

  * Update Standards-Version to 4.1.5 .

  [ Luca Boccassi <email address hidden> ]
  * Stop libstdc++ symbols from being exported on Debian/[Hurd|kFreeBSD]
    (closes: #902380).

zeromq3 (4.2.5-1) unstable; urgency=medium

  * New upstream release (closes: #894244).
  * Update watch file.
  * Disable Vcs-* fields for now (closes: #791997, #844108).
  * Don't specify parallel to debhelper.
  * Update Standards-Version to 4.1.3 .

zeromq3 (4.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Build with NACK-Oriented Reliable Multicast (NORM) support
    (closes: #884300).
  * Build with Kerberos V5 Generic Security Services API (GSSAPI) support.
  * Update libzmq5 symbols for kFreeBSD.
  * Update debhelper level to 11 .
  * Update Standards-Version to 4.1.2:
    - remove libzmq5-dbg package and use the auto-generated one.

zeromq3 (4.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove no_IPv6_on_Hurd.patch as applied upstream.
  * Remove dh-autoreconf build dependency.
  * Update Standards-Version to 4.0.0 and debhelper level to 10 .

zeromq3 (4.2.1-4) unstable; urgency=medium

  * Backport upstream fix to disable experimental zmq_poll implementation
    (closes: #861416).

zeromq3 (4.2.1-3) unstable; urgency=medium

  * Compile with OpenPGM support (closes: #856023).

zeromq3 (4.2.1-2) unstable; urgency=low

  * Backport upstream fix for Hurd FTBFS (closes: #849860).

zeromq3 (4.2.1-1) unstable; urgency=low

  * New upstream, bugfix release.
  * Sync with Ubuntu.

  [ Steve Langasek <email address hidden> ]
  * Never use hard-coded local port numbers in tests.

zeromq3 (4.2.0-2) unstable; urgency=low

  * Update library symbols for kfreebsd-i386 .
  * Add xmlto and asciidoc to build depends to generate manpages
    (closes: #844104).

zeromq3 (4.2.0-1) unstable; urgency=low

  * New upstream release (closes: #843157).
  * Update library symbols.
  * Drop merged in patches.
  * Update remaining patches.

zeromq3 (4.1.5-2) unstable; urgency=low

  * Use Sodium crypto library for CURVE security (closes: #827830).

zeromq3 (4.1.5-1) unstable; urgency=low

  * New upstream release.
  * Drop gcc6-fix.patch as this release contains it.
  * Update Hurd support patch.
  * Update watch file (closes: #827526).
  * Update Standards-Version to 3.9.8 .
  * Keep rebuildable.

zeromq3 (4.1.4-7) unstable; urgency=medium

  * Switch back libzmq5-dev package name to libzmq3-dev for the transition
    (closes: #818187).

zeromq3 (4.1.4-6) unstable; urgency=low

  * Fix FTBFS with GCC 6 (closes: #812049).
  * Update kFreeBSD symbols.
  * Only conflict / replace the development package with the previous soname
    version.

zeromq3 (4.1.4-5) unstable; urgency=low

  * Update the zmq.hpp C++ header wrapper.

zeromq3 (4.1.4-4) unstable; urgency=low

  * Make self-test failures non-fatal and verbose (closes: #815494).
  * Keep rebuildable.

  [ Steven Chamberlain <email address hidden> ]
  * Fix kFreeBSD FTBFS (closes: #815495).

zeromq3 (4.1.4-3) unstable; urgency=low

  * Disable buildd failing tests.

zeromq3 (4.1.4-2) unstable; urgency=low

  * Upload to unstable.
  * Builds on Hurd (closes: #799235).
  * Update copyright file.
  * Update Standards-Version to 3.9.7 .

zeromq3 (4.1.4-1) experimental; urgency=low

  * New upstream release (closes: #790839).
  * Use patch to Hurd build support.

zeromq3 (4.1.2-1) experimental; urgency=low

  * New upstream release (closes: #790839).
  * Library transition to version 5 of soname.
  * Update symbols for libzmq5 .

zeromq3 (4.0.5+dfsg-3) unstable; urgency=high

  * V3 protocol handler vulnerable to downgrade attacks, use upstream
    backported fix for this issue (closes: #784366).

zeromq3 (4.0.5+dfsg-2) unstable; urgency=medium

  * Don't use test_security_curve to prevent FTBFS.

zeromq3 (4.0.5+dfsg-1) unstable; urgency=high

  * New upstream release with important fixes, including:
    - CVE-2014-7202 - stream_engine.cpp security can be downgraded,
    - CVE-2014-7203 - curve messages can be replayed.

zeromq3 (4.0.4+dfsg-3) unstable; urgency=medium

  * Build with libsodium for crypto support (closes: #744969).
  * Update Standards-Version to 3.9.6 .

zeromq3 (4.0.4+dfsg-2) unstable; urgency=low

  * Honour nocheck option in DEB_BUILD_OPTIONS .
  * New maintainer (closes: #741746).

zeromq3 (4.0.4+dfsg-1) unstable; urgency=medium

  * QA upload; orphan the package
    - Upload to unstable
  * New upstream release
  * Update repack.stub script
  * Drop 02_fix-exported-symbols.patch and 03_fix-s390-rdtsc.patch
    (merged upstream)

zeromq3 (4.0.3+dfsg-1) experimental; urgency=medium

  * New upstream release (Closes: #736353)
  * Drop 01_shutdown-race.patch (merged upstream)
  * Update *.symbols file
  * Don't install README anymore
  * Update copyright file

zeromq3 (3.2.4+dfsg-4) unstable; urgency=medium

  * Update Standards-Version to 3.9.5 (no changes needed)
  * Add 03_fix-s390-rdtsc.patch to fix FTBFS on s390x (Closes: #734521)
  * Re-enable tests on s390x

zeromq3 (3.2.4+dfsg-3) unstable; urgency=medium

  * Do not export C++ symbols (Closes: #732654)
  * Use dh-autoreconf instead of autotools-dev

zeromq3 (3.2.4+dfsg-2) unstable; urgency=medium

  * Fix vcs-field-not-canonical
  * Add symbols file
  * Add 01_shutdown-race.patch to fix a race condition on shutdown
    (Closes: #732576)

zeromq3 (3.2.4+dfsg-1) unstable; urgency=low

  * New upstream release
  * Update the zmq.hpp C++ header

zeromq3 (3.2.3+dfsg-2) unstable; urgency=low

  * Make test failures non-fatal on kfreebsd and s390/s390x

zeromq3 (3.2.3+dfsg-1) unstable; urgency=low

  * New upstream release
    - Change connection failure test to use an invalid hostname
      (Closes: #705561)
  * Fix typo in libzmq3-dbg description (Closes: #696731)
  * Provide the zmq.hpp C++ header again (Closes: #697743)
  * Upload to unstable

zeromq3 (3.2.2+dfsg-1) experimental; urgency=low

  * New upstream release (Closes: #694087)
  * Do not mangle upstream version anymore

zeromq3 (3.2.1~rc2+dfsg-1) experimental; urgency=low

  * New upstream RC release (Closes: #690704)
  * Bump Standards-Version to 3.9.4 (no changes needed)

zeromq3 (3.2.0~rc1+dfsg-1) experimental; urgency=low

  * New upstream RC release
  * Use repack.{local,stub} instead of get-orig-source rule
  * Add 01_fix-unused-variable-error.patch
  * Remove build dependency on uuid-dev (no more needed)
  * Add 02_check-ifdef-SO_NOSIGPIPE.patch to fix kfreebsd build
  * Add 03_fix-test_shutdown_stress-segfault.patch

zeromq3 (3.1.0~beta+dfsg-2) experimental; urgency=low

  * libzmq3-dev Conflicts with libzmq-dev (Closes: #676160)

zeromq3 (3.1.0~beta+dfsg-1) experimental; urgency=low

  * Initial ZeroMQ v3 packaging (Closes: #661503)
    - Update get-orig-source rule and watch file
    - Rename binary packages to new SONAME
    - Update Vcs-* headers too
    - Update copyright file

zeromq (2.2.0+dfsg-2) unstable; urgency=low

  * Make -dev package Multi-Arch: same too (Closes: #674601)

zeromq (2.2.0+dfsg-1) unstable; urgency=low

  * New maintainer (Closes: #673619)
  * Repack upstream tarball to remove bundled openpgm tarball and xmlParser
    - Mangle dversion in watch file
  * Switch to short-form dh rules file
    - Use autotools-dev plugin
  * Bump debhelper compat level to 9
  * Update copyright file using Copyright-Format 1.0
  * Remove source options
  * Remove unused lintian overrides
  * Add Multi-Arch headers
    - Fix *.install files to use multi-arch paths
  * Vcs-* tags point to collab-maint repository
  * Fix short and long descriptions formatting
  * Ignore beta 3.x releases in watch file
  * Remove outdated and uselss README.Debian

zeromq (2.2.0-1) unstable; urgency=low

  * [5661946] Imported Upstream version 2.2.0 (Closes: #672427)
  * [bbf467d] Bump Standards-Version to 3.9.3 with no changes
  * [0da0708] Add Vcs-Git and Vcs-Browser to debian/control

zeromq (2.1.11-1) unstable; urgency=low

  * [4016b65] Imported Upstream version 2.1.11
  * [eaa74d0] Maintainer e-mail address changed
  * [9943256] Run testsuite during build (Closes: #655620)
  * [5ea0ff8] Remove unneeded libzmq.la from libzmq-dev (Closes: #633292)

zeromq (2.1.10-1) unstable; urgency=low

  * New upstream version.

zeromq (2.1.9-1) unstable; urgency=low

  * New upstream version.

zeromq (2.1.7-1) unstable; urgency=low

  * New upstream version. (closes: #619374)
  * --with-system-pgm is now used instead of the embedded OpenPGM library.
  * Added Debian watch file.

zeromq (2.1.4-1) experimental; urgency=low

  * New upstream version.
  * OpenPGM re-enabled for amd64 and i386, still using embedded library.

zeromq (2.1.3-1) experimental; urgency=low

  * New upstream version.
  * The zeromq-bin package has been removed, as upstream has removed the
    devices.
  * Temporarily disabled OpenPGM builds on i386 and amd64 due to changes in
    upstream OpenPGM intergration.

zeromq (2.0.10-1) unstable; urgency=low

  * New upstream version.
  * Upstream now uses DFSG-clean OpenPGM tarball, so dropping .dfsg from
    the Debian version.

zeromq (2.0.9.dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Move all manpages in libzmq0 to zeromq-dev package (closes: #595890)
  * Updated to standards version 3.9.1.
  * Add lintian-overrides for spelling-error-in-copyright due to error in
    upstream license of xmlParser.
  * Use Breaks: instead of Conflicts: in zeromq-bin package, fixes
    conflicts-with-version from lintian.
  * Various other minor fixes for warnings from lintian.

zeromq (2.0.7.dfsg-1) unstable; urgency=low

  * New upstream version.
  * Reformatted package description, thanks to Rhonda (closes: #577549)
  * Added AUTHORS, NEWS and README to installed documentation.
  * New maintainer (closes: #587505)

zeromq (2.0.6beta.dfsg-2) unstable; urgency=low

  * Much improved descriptions (thanks to Martin Lucina)
  * Rename zeromq-utils to -bin to better reflect the nature of these files.

zeromq (2.0.6beta.dfsg-1) unstable; urgency=low

  * New upstream version.
    - Source doesn't include non-C/C++ language bindings anymore.
    - New versioning: 2.0.6 is official upstream version which is a beta.
  * Repacked orig tar: removed non-free RFC documents (closes: #567513)
  * Improved/corrected description and copyright file, added bzip2 build
    dependency. Thanks to feedback from zeromq mailing list.
  * Disable OpenPGM on non-x86 architectures (closes: #567848)

zeromq (2.0~beta2-1) unstable; urgency=low

  * Initial package (closes: #566125)

f515c2b... by Andreas Hasenack on 2019-03-14

Import Upstream version 4.3.1